/**
 * Sandbox helper for opening windows
 */
var helper = {};
helper.open = function(obj) {
	if(obj.thiswindow) {
		tabGroup.activeTab.open(obj.thiswindow, { animated: true });	
	}
};

/**
 * Creating Page
 */
var Page = {};
// Customer has a GC function like this
Page.Collect = function()
{
	if(Page.thiswindow)
	{	
		Page.thiswindow.remove(Page.tableview);
		Page.tableview = null;
	};
};
// Window and UI creation
Page.Window = function()
{
	Page.thiswindow = Ti.UI.createWindow({
		title: 'Helper Window'
	});
	
	var testdata = [
		{ title: 'Test 1' },
		{ title: 'Test 2' },
		{ title: 'Test 3' },
		{ title: 'Test 4' }
	];
	
	Page.tableview = Ti.UI.createTableView({ data: testdata });
	Page.tableview.addEventListener('click', function() {
		Page2.Window();
	});
	
	// CAN'T USE THIS AS IT WILL REMOVE EVERYTHING FROM THE PREVIOUS WINDOW IF ADVANCING
	// Page.thiswindow.addEventListener('blur', function() {
		// Page.Collect();
	// });
	
	Page.thiswindow.add(Page.tableview);
	
	helper.open(Page);
};


/**
 * Creating Page2
 */
var Page2 = {};
Page2.Collect = function()
{
	if(Page2.thiswindow)
	{	
		Page2.thiswindow.remove(Page2.tableview);
		Page2.tableview = null;
	};
};

Page2.Window = function()
{
	Page2.thiswindow = Ti.UI.createWindow({
		title: 'Helper Window'
	});
	
	var testdata = [
		{ title: 'Test 5' },
		{ title: 'Test 6' },
		{ title: 'Test 7' },
		{ title: 'Test 8' }
	];
	
	Page2.tableview = Ti.UI.createTableView({ data: testdata });
	Page2.tableview.addEventListener('click', function() {
		Page.Window();
	});
	
	// CAN'T USE THIS AS IT WILL REMOVE EVERYTHING FROM THE PREVIOUS WINDOW IF ADVANCING
	// Page2.thiswindow.addEventListener('blur', function() {
		// Page2.Collect();
	// });
	
	Page2.thiswindow.add(Page2.tableview);
	
	helper.open(Page2);
};